CrackShot v0.813

Details

  • Filename
    CrackShot.jar
  • Uploaded by
  • Uploaded
    Mar 17, 2013
  • Size
    64.65 KB
  • Downloads
    1,602
  • MD5
    e1ad9af80d5c10c283b4c366dcf2430d

Supported Bukkit Versions

  • 1.5.0

Changelog

Version 0.813

New additions/changes

  • CrackShot will now load weapons from a folder named weapons, allowing you to individualize and categorize your creations. Not only does this reduce clutter, if one file is configured incorrectly, other files can continue functioning normally without being affected.

For older users of the plugin - simply drag your configuration file into the weapons-folder. You don't have to create a separate file for each weapon if you don't want to. The single configuration file located outside of the weapons-folder can still be used to load weapons, but support for it will cease when CrackShot reaches the end of the Explosive updates (version 0.9).

Fixes

  • Explosions with Explosion_No_Grief set to true will no longer destroy paintings and item frames.
  • Dragging an item onto the rim of the inventory will no longer throw an error.
  • Failing to provide a value for Item_Type will no longer cause a person's computer to explode.


Version 0.812

New additions

  • Added landmines.
  • Added the Ignite_Victims node to the Explosions module.
  • Added the Explosive Devices module and respective nodes.
  • Added a 9th default weapon Toaster (incendiary landmine) to demonstrate the new features.
  • Added the Cancel_Right_Click_Interactions node.

Visit the updated complete guide to CrackShot for more information on the new features.

Fixes/Improvements

  • The Item_Has_Durability node is no longer required and has been removed. CrackShot will automatically handle items with durability.
  • Corrected a bug where if a value was not provided for Explosion_Potion_Effect, the sound provided in Sounds_Explode would not be played.
  • Corrected a minor issue where the conversion of weapons took place before the actual permission and region check.

Clarification

  • Compatible with both Minecraft 1.4.7 and 1.5. There is no reason why the functionality of CrackShot would be adversely affected by updates.